/**
 * Custom palette here.
 *
 * ref：https://v1.vuepress.vuejs.org/zh/config/#palette-styl
 */

// ScorpionUI colors
$primaryColor = #f65d6c
$secondaryColor = #F9A17C
$tertiaryColor = #FCDF8A
$pearlColor = #FEEEF0

// // $accentColor = #3eaf7c
// $accentColor = $primaryColor
// $textColor = #2c3e50
// $borderColor = #eaecef
// $codeBgColor = #282c34

// TODOOOO
:root {
    --c-brand: $primaryColor;
    --c-brand-light: #42d392;
    --c-brand-dark: #33a06f;
}

:root {
    --vp-c-white: #ffffff;
    --vp-c-white-soft: #f6f6f6;
    --vp-c-white-mute: #ececec;
    --vp-c-black: #1a1a1a;
    --vp-c-black-pure: #000000;
    --vp-c-black-soft: #242424;
    --vp-c-black-mute: #2f2f2f;
    --vp-c-indigo: #213547;
    --vp-c-indigo-soft: #476582;
    --vp-c-indigo-light: #aac8e4;
    --vp-c-gray: #8e8e8e;
    --vp-c-gray-light-1: #aeaeae;
    --vp-c-gray-light-2: #c7c7c7;
    --vp-c-gray-light-3: #d1d1d1;
    --vp-c-gray-light-4: #e5e5e5;
    --vp-c-gray-light-5: #f2f2f2;
    --vp-c-gray-dark-1: #636363;
    --vp-c-gray-dark-2: #484848;
    --vp-c-gray-dark-3: #3a3a3a;
    --vp-c-gray-dark-4: #282828;
    --vp-c-gray-dark-5: #202020;
    --vp-c-gray-dark-6: #ebebeb;
    --vp-c-gray-dark-7: #000000;
    --vp-c-gray-dark-8: var(--vp-c-white)
    --vp-c-divider-light-1: rgba(60, 60, 60, 0.29);
    --vp-c-divider-light-2: rgba(60, 60, 60, 0.12);
    --vp-c-divider-dark-1: rgba(84, 84, 84, 0.65);
    --vp-c-divider-dark-2: rgba(84, 84, 84, 0.48);
    // --vp-c-text-light-1: var(--vp-c-black-pure);
    --vp-c-text-light-1: #403C3C;
    --vp-c-text-light-2: rgba(60, 60, 60, 0.7);
    --vp-c-text-light-3: rgba(60, 60, 60, 0.33);
    --vp-c-text-light-4: rgba(60, 60, 60, 0.18);
    --vp-c-text-light-code: var(--vp-c-indigo-soft);
    --vp-c-text-dark-1: var(--vp-c-white);
    --vp-c-text-dark-2: rgba(235, 235, 235, 0.6);
    --vp-c-text-dark-3: rgba(235, 235, 235, 0.38);
    --vp-c-text-dark-4: rgba(235, 235, 235, 0.18);
    --vp-c-text-dark-code: var(--vp-c-indigo-light);
    --vp-c-green: #42b883;
    --vp-c-green-light: #42d392;
    --vp-c-green-lighter: #35eb9a;
    --vp-c-green-dark: #33a06f;
    --vp-c-green-darker: #155f3e;
    --vp-c-blue: #3b8eed;
    --vp-c-blue-light: #549ced;
    --vp-c-blue-lighter: #50a2ff;
    --vp-c-blue-dark: #3468a3;
    --vp-c-blue-darker: #255489;
    --vp-c-yellow: #ffc517;
    --vp-c-yellow-light: #ffe417;
    --vp-c-yellow-lighter: #ffff17;
    --vp-c-yellow-dark: #e0ad15;
    --vp-c-yellow-darker: #bc9112;
    --vp-c-red: #ed3c50;
    --vp-c-red-light: #f43771;
    --vp-c-red-lighter: #fd1d7c;
    --vp-c-red-dark: #cd2d3f;
    --vp-c-red-darker: #ab2131;
    --vp-c-purple: #de41e0;
    --vp-c-purple-light: #e936eb;
    --vp-c-purple-lighter: #f616f8;
    --vp-c-purple-dark: #823c83;
    --vp-c-purple-darker: #602960;
}

:root {
    // light mode
    --c-brand-primary: #5d57ea;
    --c-brand: #222;
    --c-brand-light: #444;
    --c-brand-dark: #000;
    --c-active-link: var(--c-brand-primary);
    --c-active-link-bg: rgba(#5d57ea, 0.3);
    // dark mode
    --c-darkmode-brand: #7d79e9;
    --c-darkmode-brand-light: #9e9cf0;
    --c-darkmode-brand-dark: var(--c-brand-primary);
    --c-darkmode-brand-primary: var(--c-brand-primary);
    --c-darkmode-active-link: var(--c-brand-primary);;
    --c-darkmode-active-link-bg: rgba(#5d57ea, 0.2);;
}

:root {
    --vp-c-bg: var(--vp-c-white);
    --vp-c-bg-soft: var(--vp-c-white-soft);
    --vp-c-bg-header: var(--vp-c-gray-dark-8);
    --vp-c-bg-mute: var(--vp-c-white-mute);
    --vp-c-bg-inverse: var(--vp-c-black-pure);
    --vp-c-bg-code-primary: var(--vp-c-gray-dark-6);
    --vp-c-divider: var(--vp-c-divider-light-1);
    --vp-c-divider-light: var(--vp-c-divider-light-2);
    --vp-c-divider-inverse: var(--vp-c-divider-dark-1);
    --vp-c-divider-inverse-light: var(--vp-c-divider-dark-2);
    --vp-c-text-1: var(--vp-c-text-light-1);
    --vp-c-text-2: var(--vp-c-text-light-2);
    --vp-c-text-3: var(--vp-c-text-light-3);
    --vp-c-text-4: var(--vp-c-text-light-4);
    --vp-c-text-code: var(--vp-c-text-light-code);
    --vp-c-text-inverse-1: var(--vp-c-text-dark-1);
    --vp-c-text-inverse-2: var(--vp-c-text-dark-2);
    --vp-c-text-inverse-3: var(--vp-c-text-dark-3);
    --vp-c-text-inverse-4: var(--vp-c-text-dark-4);
    --vp-c-brand: var(--c-brand);
    --vp-c-brand-light: var(--c-brand-light);
    --vp-c-brand-dark: var(--c-brand-dark);
    --vp-c-page-edit-text: var(--vp-c-black-pure);
    --vp-c-active-link: var(--c-active-link);
    --vp-c-active-link-bg: var(--c-active-link-bg);
}

.dark {
    --vp-c-bg: var(--vp-c-black);
    --vp-c-bg-soft: var(--vp-c-black-soft);
    --vp-c-bg-header: var(--vp-c-black);
    --vp-c-bg-mute: var(--vp-c-black-mute);
    --vp-c-bg-inverse: var(--vp-c-gray-dark-3);
    --vp-c-bg-code-primary: var(--vp-c-gray-dark-7);
    --vp-c-divider: var(--vp-c-divider-dark-1);
    --vp-c-divider-light: var(--vp-c-divider-dark-2);
    --vp-c-divider-inverse: var(--vp-c-divider-light-1);
    --vp-c-divider-inverse-light: var(--vp-c-divider-light-2);
    --vp-c-text-1: var(--vp-c-text-dark-1);
    --vp-c-text-2: var(--vp-c-text-dark-2);
    --vp-c-text-3: var(--vp-c-text-dark-3);
    --vp-c-text-4: var(--vp-c-text-dark-4);
    --vp-c-text-code: var(--vp-c-text-dark-code);
    --vp-c-text-inverse-1: var(--vp-c-text-light-1);
    --vp-c-text-inverse-2: var(--vp-c-text-light-2);
    --vp-c-text-inverse-3: var(--vp-c-text-light-3);
    --vp-c-text-inverse-4: var(--vp-c-text-light-4);
    --vp-c-brand: var(--c-darkmode-brand);
    --vp-c-brand-light: var(--c-darkmode-brand-light);
    --vp-c-brand-dark: var(--c-darkmode-brand-dark);
    --vp-c-page-edit-text: var(--vp-c-white);
    --vp-c-active-link: var(--c-darkmode-active-link);
    --vp-c-active-link-bg: var(--c-darkmode-active-link-bg);
}

:root {
    --vp-navbar-height: 4.5rem;
    --vp-statusbar-height: 2.5rem;
    --vp-sidebar-width: 12vw;
    --vp-toc-width: 16vw;
    --vp-doc-max-width: 56vw;
    --vp-doc-padding: 5vw;
    --vp-screen-max-width: 80vw;
    --vp-font-family-base: Inter, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Fira Sans', 'Droid Sans', 'Helvetica Neue', sans-serif;
    --vp-font-family-mono: Menlo, Monaco, Consolas, 'Courier New', monospace;
}

@media screen and (max-width: $MQWiderDesktop) {
    :root {
        --vp-screen-max-width: 85vw;
        --vp-doc-max-width: 60vw;
        --vp-toc-width: 15vw;
    }
}

@media screen and (max-width: $MQWideDesktop) {
    :root {
        --vp-screen-max-width: 90vw;
        --vp-doc-max-width: 65vw;
        --vp-doc-padding: 6vw;
    }
}

@media screen and (max-width: $MQDesktop + 1px) {
    :root {
        --vp-sidebar-width: 17vw;
        --vp-screen-max-width: 92vw;
        --vp-doc-max-width: 76vw;
    }
}

@media screen and (max-width: $MQNarrow + 1px) {
    :root {
        --vp-sidebar-width: 20vw;
        --vp-doc-max-width: 100vw;
    }
}

@media screen and (max-width: $MQMobile) {
    :root {
        --vp-navbar-height: 3.6rem;
        --vp-sidebar-width: 260px;
    }
}

:root {
    --vp-shadow-1: 0 1px 2px rgba(0, 0, 0, 0.04), 0 1px 2px rgba(0, 0, 0, 0.06);
    --vp-shadow-2: 0 3px 12px rgba(0, 0, 0, 0.07), 0 1px 4px rgba(0, 0, 0, 0.07);
    --vp-shadow-3: 0 12px 32px rgba(0, 0, 0, 0.1), 0 2px 6px rgba(0, 0, 0, 0.08);
    --vp-shadow-4: 0 14px 44px rgba(0, 0, 0, 0.12), 0 3px 9px rgba(0, 0, 0, 0.12);
    --vp-shadow-5: 0 18px 56px rgba(0, 0, 0, 0.16), 0 4px 12px rgba(0, 0, 0, 0.16);
}

:root {
    --vp-diff-inserted-text: #116329;
    --vp-diff-inserted-bg: #dafbe1;
    --vp-diff-deleted-text: #82071e;
    --vp-diff-deleted-bg: #FFEBE9;
}

:root {
    --vp-nav-height: 55px;
    --vp-common-border-radius: 25px;
}

*, :before, :after {
    box-sizing: border-box;
}